rem @ECHO OFF
rem *tcl(getGiDProjectName)
md AtenaCalculation
if exist "*tcl(getGiDProjectName).dat" (
  type "*tcl(getGiDProjectName).dat" > "AtenaCalculation\*tcl(getGiDProjectName).inp"
  erase "*tcl(getGiDProjectName).dat"
) else (
  rem file doesn't exist
)

VERIFY OTHER 2>nul
SETLOCAL ENABLEEXTENSIONS
IF ERRORLEVEL 1 ECHO Unable to enable extensions >>*tcl(getGiDProjectName).err
if not defined *GenData(Calculate_In)*\
2025*\
 GOTO error
ENDLOCAL

cmd /C *\
*If(strcmp(GenData(Calculate_In),"AtenaConsole")==0)
start /w *\
*EndIf
*If(strcmp(GenData(Calculate_In),"AtenaConsole")==0)
run_inp_in_AtenaConsole.bat "%1"
*ElseIf(strcmp(GenData(Calculate_In),"AtenaWin")==0)
run_inp_in_AtenaWin.bat "%1"
*Else
run_inp_in_AtenaStudio.bat "%1"
*EndIf

exit
goto :end
:error
echo Error: *GenData(Calculate_In)*\
2025*\
 not found. >>*tcl(getGiDProjectName).err
exit
:end
